# Wrangling Genomics

Lesson for quality control and wrangling genomics data. This repository is maintained by [Josh Herr](https://github.com/jrherr), [Ming Tang](https://github.com/crazyhottommy), [Lex Nederbragt](https://github.com/lexnederbragt), and [Fotis Psomopoulos](https://github.com/fpsom).

Amazon public AMI for this tutorial is "dataCgen-qc". 

## Background

Wrangling genomics trains novice learners on a variant calling workflow. Participants will learn how to evaluate sequence quality and what to do if it is not good. We will then cover aligning reads to a genome, and calling variants, as well as discussing different file formats. Results will be visualized. Finally, we will cover how to automate the process by building a shell script.

This lesson is part of the [Data Carpentry](http://www.datacarpentry.org/) [Genomics Workshop](http://www.datacarpentry.org/genomics-workshop/).

## Contribution

- Make a suggestion or correct an error by [raising an Issue](https://github.com/datacarpentry/wrangling-genomics/issues).

## Code of Conduct

All participants should agree to abide by the [Data Carpentry Code of Conduct](http://www.datacarpentry.org/code-of-conduct/).

## Authors

Wrangling genomics is authored and maintained by the [community](https://github.com/datacarpentry/wrangling-genomics/network/members).

## Citation

Please cite as:

Wrangling Genomics. June 2017. http://datacarpentry.github.io/wrangling-genomics/.
